Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QKeySequence.SequenceFormat

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QKeySequence.SequenceFormat

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QKeySequence

    public static final class QKeySequence.SequenceFormat

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QKeySequence.SequenceFormat` | `NativeText` The key sequence as a platform specific string.
`static QKeySequence.SequenceFormat` | `PortableText` The key sequence is given in a "portable" format, suitable for reading and writing to a file.

Method Summary
`static QKeySequence.SequenceFormat` | `resolve(int value)` Returns the QKeySequence$SequenceFormat constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QKeySequence.SequenceFormat` | `valueOf(java.lang.String name)`
`static QKeySequence.SequenceFormat[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NativeText

    public static final QKeySequence.SequenceFormat NativeText

  The key sequence as a platform specific string. This means that it will be shown translated and on the Mac it will resemble a key sequence from the menu bar. This enum is best used when you want to display the string to the user.

### PortableText

    public static final QKeySequence.SequenceFormat PortableText

  The key sequence is given in a "portable" format, suitable for reading and writing to a file. In many cases, it will look similar to the native text on Windows and X11.

Method Detail

### values

    public static QKeySequence.SequenceFormat[] values()

### valueOf

    public static QKeySequence.SequenceFormat valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QKeySequence.SequenceFormat resolve(int value)

  Returns the QKeySequence$SequenceFormat constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD